ApiUninstallControlPlaneArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiUninstallControlPlaneArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiUninstallControlPlaneArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiUninstallControlPlaneArgs
      extends Object

  Arguments used to uninstall CDP a Private Cloud Control Plane

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiUninstallControlPlaneArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getKubeConfig()` The content of the kubeconfig file of the kubernetes environment on which the control plane is running Simplified example:<br> <br> apiVersion: v1<br> clusters:<br> - cluster:<br> &emsp;&emsp;certificate-authority-data: abc123<br> &emsp;&emsp;server: https://example-server.domain.com:6443<br> &emsp;name: example-cluster.domain.com:6443<br> contexts:<br> - context:<br> &emsp;&emsp;cluster: ocp-cluster1<br> &emsp;&emsp;user: admin<br> &emsp;name: admin<br> current-context: admin<br> kind: Config<br> preferences: {}<br> users:<br> - name: admin<br> &emsp;user:<br> &emsp;&emsp;client-certificate-data: abc123<br> &emsp;&emsp;client-key-data: xyz987<br> <br> For more information on the kubeconfig file, read the documentation <a target=\"_blank\" href=https://docs.cloudera.com/r/cdp-pvc-kubernetes>here</a>.
    `String` | `getValuesYaml()` Currently, we only support the following content in the values.yaml: other: forceCleanup: true|false
    `int` | `hashCode()`
    `ApiUninstallControlPlaneArgs` | `kubeConfig(String kubeConfig)`
    `void` | `setKubeConfig(String kubeConfig)`
    `void` | `setValuesYaml(String valuesYaml)`
    `String` | `toString()`
    `ApiUninstallControlPlaneArgs` | `valuesYaml(String valuesYaml)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiUninstallControlPlaneArgs

          public ApiUninstallControlPlaneArgs()

  - ### Method Detail

    - #### kubeConfig

          public ApiUninstallControlPlaneArgs kubeConfig(String kubeConfig)

    - #### getKubeConfig

          public String getKubeConfig()

      The content of the kubeconfig file of the kubernetes environment on which the control plane is running Simplified example:<br> <br> apiVersion: v1<br> clusters:<br> - cluster:<br> &emsp;&emsp;certificate-authority-data: abc123<br> &emsp;&emsp;server: https://example-server.domain.com:6443<br> &emsp;name: example-cluster.domain.com:6443<br> contexts:<br> - context:<br> &emsp;&emsp;cluster: ocp-cluster1<br> &emsp;&emsp;user: admin<br> &emsp;name: admin<br> current-context: admin<br> kind: Config<br> preferences: {}<br> users:<br> - name: admin<br> &emsp;user:<br> &emsp;&emsp;client-certificate-data: abc123<br> &emsp;&emsp;client-key-data: xyz987<br> <br> For more information on the kubeconfig file, read the documentation <a target=\"_blank\" href=https://docs.cloudera.com/r/cdp-pvc-kubernetes>here</a>.
      Returns:
        kubeConfig

    - #### setKubeConfig

          public void setKubeConfig(String kubeConfig)

    - #### valuesYaml

          public ApiUninstallControlPlaneArgs valuesYaml(String valuesYaml)

    - #### getValuesYaml

          public String getValuesYaml()

      Currently, we only support the following content in the values.yaml: other: forceCleanup: true|false
      Returns:
        valuesYaml

    - #### setValuesYaml

          public void setValuesYaml(String valuesYaml)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.